Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMQualifierType

    java.lang.Object
      |
      +--com.sun.wbem.cim.CIMElement
            |
            +--com.sun.wbem.cim.CIMQualifierType

public class CIMQualifierType
extends CIMElement

Creates and instantiates a CIM qualifier type, which is a template for a CIM qualifier. This class is useful for checking that a characteristic is a valid CIM qualifier characteristic. Each CIMQualifier must have a CIMQualifierType. A CIM qualifier and its CIM qualifier type must have the same name.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`CIMQualifierType()` Constructor creates a CIM qualifier type.
`CIMQualifierType(java.lang.String Name)` Constructor creates a new CIM qualifier type, using the name of the specified CIM qualifier type.

Method Summary
`void` | `addFlavor(CIMFlavor newFlavor)` Adds the input flavor and verifies if there is any conflict.
`void` | `addScope(CIMScope metaElement)` Expands the qualifier type's scope to include the input meta element.
`CIMValue` | `getDefaultValue()` Returns the default values for this qualifier type
`java.util.Vector` | `getFlavor()` Get the flavors of this qualifier type.
`java.util.Vector` | `getScope()` Gives the scopes to which this qualifier type can be applied.
`int` | `getSize()` Returns the size of this qualifier type
`CIMDataType` | `getType()` Returns the CIM data type of this qualifier type
`boolean` | `hasDefaultValue()` Checks if the default values are defined
`boolean` | `hasFlavor(CIMFlavor flavor)` Checks if the qualifier's flavor includes the input flavor.
`boolean` | `hasScope(CIMScope metaElement)` Checks if the qualifier type's scope includes the input meta element.
`boolean` | `isArrayValue()` Checks if the default value is an array of values or not.
`void` | `setDefaultValue(CIMValue value)` Sets the default value for this qualifier type to the specified CIM value
`void` | `setSize(int aSize)` Sets the size of this qualifier type to the specified size
`void` | `setType(CIMDataType type)` Sets the CIM data type to the specified type
`java.lang.String` | `toMOF()` Returns a MOF representation of the CIMQualifierType.
`java.lang.String` | `toString()` Returns a String representation of the CIMQualifierType This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations.

Methods inherited from class com.sun.wbem.cim.CIMElement
`assign, equals, getName, lessThan, setName`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMQualifierType

    public CIMQualifierType()

  Constructor creates a CIM qualifier type.

### CIMQualifierType

    public CIMQualifierType(java.lang.String Name)

  Constructor creates a new CIM qualifier type, using the name of the specified CIM qualifier type.
  Parameters:
    `Name` - The name of an existing CIM qualifier type.

Method Detail

### getScope

    public java.util.Vector getScope()

  Gives the scopes to which this qualifier type can be applied.
  Returns:
    Vector of CIM element scopes for which this qualifier type is applicable.

### getType

    public CIMDataType getType()

  Returns the CIM data type of this qualifier type
  Returns:
    The data type of this qualifier type. This data type must agree with the data type of the CIMQualifier of the same name.

### getSize

    public int getSize()

  Returns the size of this qualifier type
  Returns:
    The size of this qualifier type.

### getDefaultValue

    public CIMValue getDefaultValue()

  Returns the default values for this qualifier type
  Returns:
    The CIM value for this qualifier type.

### setType

    public void setType(CIMDataType type)

  Sets the CIM data type to the specified type
  Parameters:
    `type` - the CIM data type of this qualifier type

### setSize

    public void setSize(int aSize)

  Sets the size of this qualifier type to the specified size
  Parameters:
    `aSize` - the size of this qualifier type

### setDefaultValue

    public void setDefaultValue(CIMValue value)

  Sets the default value for this qualifier type to the specified CIM value
  Parameters:
    `value` - list of default CIM values for this qualifier type

### toString

    public java.lang.String toString()

  Returns a String representation of the CIMQualifierType This method is intended to be used only for debugging purposes, and the format of the returned string may vary between implementations. The returned string may be empty but may not be null.
  Overrides:
    toString in class CIMElement
  Returns:
    A string representation of this qualifier type.

### toMOF

    public java.lang.String toMOF()

  Returns a MOF representation of the CIMQualifierType.
  Returns:
    A string representation of this qualifier type in Managed Object Format (MOF).

### addScope

    public void addScope(CIMScope metaElement)

  Expands the qualifier type's scope to include the input meta element.
  Parameters:
    `metaElement` - the meta element to be included in the scope

### hasScope

    public boolean hasScope(CIMScope metaElement)

  Checks if the qualifier type's scope includes the input meta element.
  Parameters:
    `metaElement` - the meta element which is checked for scope inclusion.
  Returns:
    true if the meta element is included in the qualifier type's scope, otherwise false.

### hasFlavor

    public boolean hasFlavor(CIMFlavor flavor)

  Checks if the qualifier's flavor includes the input flavor.
  Parameters:
    `flavor` - the flavor element which is checked for flavor inclusion.
  Returns:
    True if the flavor is included in the qualifier's flavor, otherwise false.

### addFlavor

    public void addFlavor(CIMFlavor newFlavor)

  Adds the input flavor and verifies if there is any conflict.
  Parameters:
    `newFlavor` - The flavor to be added

### getFlavor

    public java.util.Vector getFlavor()

  Get the flavors of this qualifier type.
  Returns:
    Vector of flavors for this qualifier type.

### hasDefaultValue

    public boolean hasDefaultValue()

  Checks if the default values are defined
  Returns:
    true if the default value is defined, false otherwise.

### isArrayValue

    public boolean isArrayValue()

  Checks if the default value is an array of values or not.
  Returns:
    True if the default value is an array of values, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD